Agent Invocations WebSocket
Establish a WebSocket connection to a hosted agent
Establishes a WebSocket connection to a hosted agent. The target agent is a
path segment and the project is taken from the endpoint, mirroring the HTTP
/invocations route. The service resolves (or creates) a session, resolves
the agent version, then relays text and binary frames bidirectionally
between the client and the agent (1 MB maximum frame size).
The client must send an HTTP GET with Upgrade: websocket headers.
Paramètres de chemin d’accès
agent_name
string
obligatoire
The name of the hosted agent.
Paramètres de la requête
agent_session_id
string
Optional session/conversation ID. Pass the same value on a subsequent connection to reattach to an existing session. If not provided, the service auto-generates one.
api-version
string
obligatoire
The API version to use for this operation.
Réponses
The request has succeeded.
En-têtes
x-agent-session-id
string
obligatoire
Session ID for this WebSocket connection. Returns the provided session ID or an auto-generated one if not provided in the request.
Corps
Requête
GET /agents/{agent_name}/endpoint/protocols/invocations_ws HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json